#include<stdio.h>
#include<stdlib.h>
#include<string.h>

int main()
{
    int n,k,i;
    printf("n=");
    scanf("%i",&n);
    printf("k=");
    scanf("%i",&k);
    int niz[n];
    for (i=0;i<n;i++)
    {
        printf("Broj karte ");
        scanf("%d",&niz[i]);
    }
    niz[n]=0;
    for (i=0;i<n;i++)
    {
        if (k==niz[i])
        {
            if (niz[i+1]==0)
            {
                printf("%d",niz[0]);
            }
            else
            {
                printf("%d",niz[i+1]);
            }
        }
    }
}